
function process_popup(state,content){

     document.getElementById('process_popup').innerHTML = content;
     document.getElementById ('process_popup').style.top=mousey;
     document.getElementById ('process_popup').style.left=mousex+100;    
     document.getElementById ('process_popup').style.display = state;
}

function popup(state,content){
     document.getElementById('popup_content').innerHTML = content;
     document.getElementById ('popup').style.top=200;
     document.getElementById ('popup').style.left=200;
     document.getElementById ('popup').style.display  = state;
}

function popup_hide(){     
     document.getElementById ('popup').style.display  = 'none';
}

function nullParam(){
    return ' ';
}

function thisParam(param){
  return param;
}

function siderParam(param,pager,srccolumns,ordcolumns,ascdesc){
   var str='';
   for (i=0; i<=srccolumns; i++){
    if (document.getElementById('src'+i).value){
	   str=str+'&src'+i+'='+document.getElementById('src'+i).value;
    }		
  }
         
  return param+'&side='+document.getElementById(pager).value+str+'&ord='+ordcolumns+'&AscDesc='+ascdesc;
}



function getJavgepData(datafile,element){
  DataReturnText(datafile, '', setJavgepData, element, false);
}


function setJavgepData(contents,element,popupba){
  document.getElementById(element).innerHTML = contents;
}

function timer_javgetgepek(datafile,element,time){
  getJavgepData(datafile,element);
  setTimeout("timer_javgetgepek('"+datafile+"','"+element+"','"+time+"')",time);
}

/* -v&#233;ge- jav&#237;t&#243;s g&#233;pek lek&#233;r&#233;se */



function gepParam(){
   var gep=document.getElementById("gepszam").value;;
   if (gep!=''){
    return 'gep='+gep;
   }else{
    return '';
   }
}


function gepkiadParam(){

   var gep=document.getElementById("gepszam").value;
   var from=document.getElementById("from_dolg").value;
   var datum=document.getElementById("gep_esem_datum").value;
   var to=document.getElementById("to_dolg").value;
   var statusz=document.getElementById("gep_statusz").value;
   var modultype=document.getElementById("modultype").value;

   if (gep!='' && from!='' && datum!='' && to!='' && statusz!=''){
    return 'modultype='+modultype+'&gep='+gep+'&from='+from+'&datum='+datum+'&to='+to+'&statusz='+statusz;
   }else{
    return '';
   }
}

function gepvisszaParam(){

   var gep=document.getElementById("gepszam").value;
   var from=document.getElementById("from_dolg").value;
   var datum=document.getElementById("gep_esem_datum").value;
   var statusz=document.getElementById("gep_statusz").value;

   var to=document.getElementById("to_dolg").value;
   var jegysorszam=document.getElementById("gep_jegysorszam").value;
   var bizonylat=document.getElementById("gep_bizonylat").value;
   var hibajelenseg=document.getElementById("gep_hibajelenseg_text").value;


   if (gep!='' && from!='' && datum!='' && statusz!=''){
    return 'gep='+gep+'&from='+from+'&datum='+datum+'&to='+to+'&statusz='+statusz+'&jegysorszam='+jegysorszam+'&bizonylat='+bizonylat+'&hibajelenseg='+hibajelenseg;
   }else{
    return '';
   }
}


function forgalmiParam(){
   var from=document.getElementById("from_dolg").value;;
   if (from!=''){
    return 'from='+from;
   }else{
    return '';
   }
}

function forgalmiGroupParam(group){
   return 'group='+group+'&from='+document.getElementById("from_dolg").value;
   
}

function gkvParam(){
   var gkv=document.getElementById("to_dolg").value;
   if (gkv!=''){
    return 'gkv='+gkv;
   }else{
    return '';
   }
}

function geptoligParam(){
   var gep=document.getElementById("gepszam").value;
   var tol=document.getElementById("tol").value;
   var ig=document.getElementById("ig").value;

   if (gep!='' && tol!='' && ig!=''){
    return 'gep='+gep+'&tol='+tol+'&ig='+ig;
   }else{
    return '';
   }
}

function gkvtoligParam(){
   var gkv=document.getElementById("to_dolg").value;
   var tol=document.getElementById("tol").value;
   var ig=document.getElementById("ig").value;

   if (gkv!='' && tol!='' && ig!=''){
    return 'gkv='+gkv+'&tol='+tol+'&ig='+ig;
   }else{
    return '';
   }
}

function forgnaploParam(){
   var dolgozo=document.getElementById("from_dolg").value;
   var datum=document.getElementById("gep_esem_datum").value;

   if (dolgozo!='' && datum!=''){
    return 'dolgozo='+dolgozo+'&datum='+datum;
   }else{
    return '';
   }
}

function hibajavitasParam(){
var theform=document.getElementById("gep_javitas_form");
   var str='';
   var text_id='';
   for (i=0; i<theform.elements.length; i++){
      if (theform.elements[i].type=='checkbox' && theform.elements[i].checked){
	text_id=theform.elements[i].id+'text';

	if(document.getElementById(text_id)!=null){
	  str=str+'&'+theform.elements[i].id+'='+document.getElementById(text_id).value;
	}else{
	  str=str+'&'+theform.elements[i].id+'=checked';
	}	
      }
   }

   var gep=document.getElementById("gepszam").value;
   var hibanaplo=document.getElementById("id_hibanaplo").value;
   var datum=document.getElementById("gep_esem_datum").value;
   var statusz=document.getElementById("gep_statusz").value;
   var jegysorszam=document.getElementById("gep_jegysorszam").value;
   var bizonylat=document.getElementById("gep_bizonylat").value;
   var hibajelenseg=document.getElementById("gep_hibajelenseg_text").value;
   var javitas=document.getElementById("gep_javitasleiras_text").value;
   var ellenorzes=document.getElementById("gep_ellenorzes_text").value;

   var lez_dolg=document.getElementById("lez_dolg").value;
   var lezjegy=document.getElementById("lezjegy").value;
   var lezosszeg=document.getElementById("lezosszeg").value;
   var nyit_dolg=document.getElementById("nyit_dolg").value;
   var nyitjegy=document.getElementById("nyitjegy").value;
   var nyitosszeg=document.getElementById("nyitosszeg").value;
   var from_dolg=document.getElementById("from_dolg").value;

   if (datum!='' && statusz!='' && gep!=''){
    return 'from_dolg='+from_dolg+'&lez_dolg='+lez_dolg+'&lezjegy='+lezjegy+'&lezosszeg='+lezosszeg+'&nyit_dolg='+nyit_dolg+'&nyitjegy='+nyitjegy+'&nyitosszeg='+nyitosszeg+'&gep='+gep+'&hibanaplo='+hibanaplo+'&datum='+datum+'&statusz='+statusz+'&jegysorszam='+jegysorszam+'&bizonylat='+bizonylat+'&hibajelenseg='+hibajelenseg+'&javitas='+javitas+'&ellenorzes='+ellenorzes+str;
   }else{
    return '';
   }
}

function runFromStornoGepnaplo(divid){
  if (document.getElementById("retajax_stornogepnaplo")==null){
    setTimeout("runFromStornoGepnaplo('"+divid+"')",100);    
  }else{

    if (document.getElementById("retajax_stornogepnaplo").value!=true){
      var message='<table align="center" width="100%"><tr><td class="function_table_in td_title" style="width: 250px; height: 50px;" align="center" valign="middle">M&#225;r nem ronthat&#243; a t&#233;tel!</td></tr></table>';
      popup('',message);
    }

    var forgnaplofrissit=document.getElementById("forgnaplo_button").onclick;
    forgnaplofrissit();
    document.getElementById(divid).innerHTML = '';
  }
}

function runFromHibanaplo(divid){
  if (document.getElementById("retajax_hibanaplo")==null){
    setTimeout("runFromHibanaplo('"+divid+"')",100);    
  }else{
    document.getElementById("id_hibanaplo").value=document.getElementById("retajax_hibanaplo").value;
    document.getElementById("gepszam").value=document.getElementById("retajax_gep").value;
    document.getElementById("gep_jegysorszam").value=document.getElementById("retajax_jegysorszam").value;
    document.getElementById("gep_hibajelenseg_text").value=document.getElementById("retajax_hibajelenseg").value;
   
    document.getElementById("gep_javitasleiras_text").value=document.getElementById("retajax_hibajavitasa").value;
    document.getElementById("gep_ellenorzes_text").value=document.getElementById("retajax_ellenorzes").value;
    document.getElementById("lezosszeg").value=document.getElementById("retajax_lezart_osszeg").value;
    
    document.getElementById("lezjegy").value=document.getElementById("retajax_lezart_jegysorszam").value;
    document.getElementById("lez_dolg").value=document.getElementById("retajax_dolgozok_lezart").value;
    document.getElementById("nyitosszeg").value=document.getElementById("retajax_nyitott_osszeg").value;        

    document.getElementById("nyitjegy").value=document.getElementById("retajax_nyitott_jegysorszam").value;
    document.getElementById("nyit_dolg").value=document.getElementById("retajax_dolgozok_nyitott").value;
    
    var theform=document.getElementById("gep_javitas_form");

    var ajax_id='';
    for (i=0; i<theform.elements.length; i++){
        if (theform.elements[i].type=='checkbox'){
           ajax_id=theform.elements[i].id; 
  	       if (ajax_id.substring(0,19)=='retajax_beavatkozas'){
  	          document.getElementById(ajax_id.substring(8,19)+theform.elements[i].value).checked=true;
  	          document.getElementById(ajax_id.substring(8,19)+theform.elements[i].value+'div').style.background='#ff0000';

  	          if (document.getElementById(ajax_id+'text')){
  	           document.getElementById(ajax_id.substring(8,19)+theform.elements[i].value+'text').value=document.getElementById(ajax_id+'text').value;  	           
              }
           }
  	       if (ajax_id.substring(0,17)=='retajax_alkatresz'){
  	          document.getElementById(ajax_id.substring(8,17)+theform.elements[i].value).checked=true;
  	          document.getElementById(ajax_id.substring(8,17)+theform.elements[i].value+'div').style.background='#ff0000';
  	          if (document.getElementById(ajax_id+'text')){
  	           document.getElementById(ajax_id.substring(8,17)+theform.elements[i].value+'text').value=document.getElementById(ajax_id+'text').value;
              }
           }           
        }
    }
     
    document.getElementById(divid).innerHTML = '';
  }
}


function getHiddenAjaxData(datafile,parameter,element,loadinggif,runFunction){
    var betoltes = '<img src="'+loadinggif+'" width="100" height="100"/>';
    process_popup('',betoltes);
    document.getElementById(element).innerHTML=betoltes;
    DataReturnTextHidden(datafile, parameter, setHiddenAjaxData, element);
}

function setHiddenAjaxData(contents,element){
    document.getElementById(element).innerHTML = contents;
    process_popup('none','');
}


function getAjaxDataHibajav(datafile,element,loadinggif,popupba,getParameter){
  var parameter=getParameter;
  if (parameter!=''){
    var betoltes = '<img src="'+loadinggif+'" width="100" height="100"/>';
    process_popup('',betoltes);
    DataReturnText(datafile, parameter, setAjaxDataHibajav, element, popupba);
  }else{
    var message='<table align="center" width="100%"><tr><td class="function_table_in td_title" style="width: 250px; height: 50px;" align="center" valign="middle">Hi&#225;nyz&#243; param&#233;ter!</td></tr></table>';
    popup('',message);
  }
}

function setAjaxDataHibajav(contents,element,popupba){
  process_popup('none','');
  if (popupba){
    popup('',contents); 
  }else{
    document.getElementById(element).innerHTML = contents;
  }
  TorolJavitasForm();
  var reonload=document.getElementById("reonload").onclick;
  reonload();
}



function getAjaxData(datafile,element,loadinggif,popupba,getParameter){

  var parameter=getParameter;
  if (parameter!=''){
    var betoltes = '<img src="'+loadinggif+'" width="100" height="100"/>';
    process_popup('',betoltes);
    DataReturnText(datafile, parameter, setAjaxData, element, popupba);
  }else{
    var message='<table align="center" width="100%"><tr><td class="function_table_in td_title" style="width: 250px; height: 50px;" align="center" valign="middle">Hiányzó paraméter!</td></tr></table>';
    popup('',message);
  }
}
function setAjaxData(contents,element,popupba){
  if (popupba){
    popup('',contents); 
  }else{
    document.getElementById(element).innerHTML = contents;
  }
    process_popup('none','');
}



function getAjaxDataList(datafile,element,jqAjaxData,ListTable,loadinggif){
    var betoltes = '<img src="'+loadinggif+'" width="100" height="100"/>';
    process_popup('',betoltes);
    DataReturnTextList(datafile, '', setAjaxDataList, element, jqAjaxData, ListTable);
}

function setAjaxDataList(contents,element,jqAjaxData,ListTable){
    document.getElementById(element).innerHTML = contents;
    process_popup('none','');

}